﻿using System.Collections.Generic;

namespace Oxide.Plugins {
    [Info("GDuplicate", "Gokus", "0.1.0")]
    [Description("GDuplicate makes your server secure from the same nicknames. Well, thats what it supposed to do anyway!")]
    class GDuplicate : HurtworldPlugin {
        protected override void LoadDefaultMessages() {
            lang.RegisterMessages(new Dictionary<string, string> {
                ["SameNickname"] = "There is a player with this nickname on the server already."
            }, this);
            lang.RegisterMessages(new Dictionary<string, string> {
                ["SameNickname"] = "Gracz z tym samym nickiem jest już podłączony."
            }, this, "pl");
        }

        private object CanClientLogin(PlayerSession session) {
            foreach (PlayerSession player in GameManager.Instance.GetSessions().Values) {
                if (player.Identity.Name.ToLower() == session.Identity.Name.ToLower()) {
                    return lang.GetMessage("SameNickname", this, session.Identity.SteamId.ToString());
                }
            }
            return true;
        }
    }
}
